Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class BinaryGrailsPluginDescriptor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.BinaryGrailsPluginDescriptor

    public class BinaryGrailsPluginDescriptor
    extends java.lang.Object

Holds a reference to the parsed grails-plugin.xml descriptor and the resource used to parse the descriptor

Constructor Summary
`BinaryGrailsPluginDescriptor(org.springframework.core.io.Resource resource, groovy.util.slurpersupport.GPathResult parsedXml)`

Method Summary
`groovy.util.slurpersupport.GPathResult` | `getParsedXml()` @return The parsed descriptor
`org.springframework.core.io.Resource` | `getResource()` The resource the descriptor was parsed from

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryGrailsPluginDescriptor

    public BinaryGrailsPluginDescriptor(org.springframework.core.io.Resource resource, groovy.util.slurpersupport.GPathResult parsedXml)

Method Detail

### getParsedXml

    public groovy.util.slurpersupport.GPathResult getParsedXml()

  Returns:
    The parsed descriptor

### getResource

    public org.springframework.core.io.Resource getResource()

  The resource the descriptor was parsed from
  Returns:
    The resource instance

Groovy Documentation